package com.css.simulation.resource.scene.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneAccidentParam;
import api.common.pojo.po.scene.SceneAccidentPO;
import api.common.pojo.vo.scene.SceneAccidentVO;
import com.css.simulation.resource.common.utils.PageUtil;
import com.css.simulation.resource.feign.FileDownService;
import com.css.simulation.resource.scene.service.SceneAccidentService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.BeanUtils;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

//交通事故场景
@RestController
@RequestMapping("/SceneAccident")
public class SceneAccidentController {

    @Resource
    SceneAccidentService sceneAccidentService;

    //查询列表
    @PostMapping("/querySceneAccidentList")
    @ResponseBody
    public ResponseBodyVO<List<SceneAccidentVO>> querySceneAccidentList(@RequestBody SceneAccidentParam parms) {
        PageUtil.setPageInfo(parms);
        List<SceneAccidentPO> list = sceneAccidentService.querySceneAccidentList(parms);
        PageInfo<SceneAccidentPO> objectPageInfo = new PageInfo<>(list);
        List<SceneAccidentVO> list1 = new ArrayList<>();
        for (SceneAccidentPO po : list) {
            SceneAccidentVO vo = new SceneAccidentVO();
            BeanUtils.copyProperties(po, vo);
            list1.add(vo);
        }
        PageInfo pageInfo = new PageInfo<>(list1);
        pageInfo.setTotal(objectPageInfo.getTotal());
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS, pageInfo);
    }


    //新增交通事故
    @PostMapping("/saveSceneAccident")
    @ResponseBody
    public ResponseBodyVO<String> saveSceneAccident(@RequestBody SceneAccidentParam parms) {
        return sceneAccidentService.importJtSg(parms);

    }

    //删除交通事故
    @PostMapping("/deleteSceneAccident")
    @ResponseBody
    public ResponseBodyVO<String> deleteSceneAccident(@RequestBody SceneAccidentPO parms) {
        sceneAccidentService.deleteSceneAccidentList(parms);
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
    }

}